package intrinsic.mx.controls;

public class PopUpButton extends intrinsic.mx.controls.Button {

	/** Accessors */
	public intrinsic.mx.core.IUIComponent popUp;
	public boolean openAlways;

	/** Variables */
	public boolean stickyHighlighting;
	public String selectedField;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public PopUpButton() {
}


/** Static Methods */

/** Methods */
public native void open();
public native void styleChanged(String arg0);
public native void close();

}
